/*                              R A N D M T . C P P
* BRL-CAD
*
* Copyright (c) 2004-2016 United States Government as represented by
* the U.S. Army Research Laboratory.
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public License
* version 2.1 as published by the Free Software Foundation.
*
* This library is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this file; see the file named COPYING for more
* information.
*/

/*----------------------------------------------------------------------*/
//BRL-CAD
//Generating random number between 0 and 1 using the C++ STL's randmt, which is an implementation of the Mersenne Twister for BRL-CAD.
#include "common.h"
#include <random>

std::mt19937_64 rando(0);
std::uniform_real_distribution<double> unif(0,1);

extern "C"{
double randmt_cpp(void){
    return unif(rando); //Random generates a number between 0 and 1
}
    
void randmt_seed_cpp(unsigned long s){
    rando.seed(s); //Replace the current seed with the new one

}
    
}
/*
 * Local Variables:
 * mode: C++
 * tab-width: 8
 * indent-tabs-mode: t
 * End:
 * ex: shiftwidth=4 tabstop=8
 */
